Spuštění airoscript 2.2 pod Ubuntu 8.10 Intrepid Ibex

Síťování, konfigurace síťových pravidel, bezpečnost, omezováni a filtrování provozu, konfigurace firewalů, regulace šířky pásma, stumbler a síťové nástroje obecně
Odpovědět
Uživatelský avatar
elektrolam
Level 3
Příspěvky: 71
Registrován: 28 bře 2009, 11:50

17 říj 2009, 19:39

Už se nějakou tu hodinu snažím rozchodit Airoscript 2.2 pod Ubuntu Linux 8.10.

1) Zkoušel jsem to rozchodit sudo make a následně přepsat airoscript.conf.
Interface used is : enabled
Interface type is : withPID (3978)

Do you want to use airserv-ng? [y/N]
Checking mac address...done/usr/local/share/airoscript/airoscfunc.sh: line 1555: /usr/local/bin/macchanger: No such file or directory

||
||
\/
_____________________________________
## Select next step ##
## ##
## 1) Change MAC to FAKEMAC ##
## 2) Change MAC to CLIENTMAC ##
## 3) Manual Mac input ##
##_________________________________##
Option:
dále mi to nebylo schopné ani spustit scan wifi sítě.

2) Běžná kompilace sudo make debian končí hláškou ... Error 2
/airoscript$ sudo make debian
Installing airoscript
Installing themes
Installing tools:
-e airoscwordlist
-e airopdate
Installing locales
-e Installing locale es_ES
Installing documentation
-e Installing standard documentation
-e Installing html documentation
-e Installing tools documentation
-e Installing manpages
/bin/sh: Syntax error: Unterminated quoted string
make: *** [debian] Error 2

Poradí mi někdo jak to mám rozchodit ?

Uživatelský avatar
back
Level 3
Příspěvky: 66
Registrován: 07 dub 2008, 17:07
Bydliště: Sered

17 říj 2009, 19:54

1.)
Checking mac address...done/usr/local/share/airoscript/airoscfunc.sh: line 1555: /usr/local/bin/macchanger: No such file or directory
A máš vôbec macchanger?

2.)
/airoscript$ sudo make debian
...
/bin/sh: Syntax error: Unterminated quoted string
make: *** [debian] Error 2
Možeš mi povedať prečo "make debian" ? Skúšal si vôbec klasicky?
airoscript$ sudo make &&sudo make install

Uživatelský avatar
elektrolam
Level 3
Příspěvky: 71
Registrován: 28 bře 2009, 11:50

17 říj 2009, 21:19

back 1.) macchanger instalovaný mám.
2.) Pod Ubuntu Linux se kompiluje sudo make debian (zkoušel jsem všechno neboj). Pokud to zkompiluješ klasicky bez debian nenalezne to aircrack-ng a jiné věci, má to rozházené cesty v nějakém configu, airoscript 2.1 mi jde normálně.

Uživatelský avatar
android
Level 7
Příspěvky: 461
Registrován: 10 říj 2008, 22:48

17 říj 2009, 21:22

Tohle je zneužívání fóra, né žádost o pomoc! Ty nepotřebuješ radit ale naučit jazyk. Vše máš nainstalováno.. ta hláška sice chybou je ..ale instalace proběhla t.z airoscript můžeš normálně používat.. Mám taky Ubuntu 8.10 Linux a vše funguje. Pokud aktualizuješ aircrack-ng ze staženého balíčku pak nezapomeň nastudovat jak najít místo kam se program instaluje a případně ukázat návazné aplikaci kde má hledat to co potřebuje..

Uživatelský avatar
elektrolam
Level 3
Příspěvky: 71
Registrován: 28 bře 2009, 11:50

17 říj 2009, 21:52

android zneužívání fora? Já se snažím někam dopracovat s minimálními zkušenostmi s linuxem (programátor nejsem a nikdy nebudu ...), aircrack-ng jsem měl původní z balíčku, dneska jsem kompiloval a instaloval novou verzi ze zdroje. Airoscript v mém případě chodit nemůže, poněvadž zde neprojde debian config patch asi má upravit soubor airoscript.conf (hrabal sem se v něm a nic nevyřešil).

Uživatelský avatar
android
Level 7
Příspěvky: 461
Registrován: 10 říj 2008, 22:48

18 říj 2009, 11:28

Ja fakticky nechápu co řešíš. Mám Ubuntu 8.10 a airoscript funguje bez patchování (používám původní aircrack-ng balíček). I kdyby kompilace posledního aircrack-ng staženého z internetu cokoliv změnila, díval ses vůbec do toho debian patchu? Jsou tam 4 řádky na kterých pochopení nepotřebuješ nic mimo schopnosti číst a přemýšlet = pokud neumíš aplikovat patch lze editovat airoscript.conf i ručně

Odpovědět
  • Informace
  • Kdo je online

    Uživatelé prohlížející si toto fórum: Google [Bot] a 1 host